> ## Documentation Index
> Fetch the complete documentation index at: https://docs.architect.exchange/llms.txt
> Use this file to discover all available pages before exploring further.

# Get current BBO candle



## OpenAPI

````yaml openapi/api-gateway.json GET /bbo-candles/current
openapi: 3.1.0
info:
  title: ax-api-gateway
  description: ''
  license:
    name: ''
  version: 15.22.0
servers:
  - url: https://gateway.architect.exchange/api
security: []
tags:
  - name: api-gateway
    description: API gateway
paths:
  /bbo-candles/current:
    get:
      tags:
        - api-gateway
      operationId: get_current_bbo_candle
      parameters:
        - name: symbol
          in: query
          description: Instrument symbol (e.g. "XAU-PERP")
          required: true
          schema:
            type: string
        - name: candle_width
          in: query
          description: Candle width (e.g. "1s", "1m", "1h", "1d")
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Current BBO candle
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetBboCandleResponse'
      security:
        - session_token: []
components:
  schemas:
    GetBboCandleResponse:
      type: object
      required:
        - candle
      properties:
        candle:
          $ref: '#/components/schemas/BboCandle'
    BboCandle:
      type: object
      required:
        - symbol
        - ts
        - width
      properties:
        ask_close:
          type:
            - string
            - 'null'
          description: Best ask price at the end of the interval
        ask_high:
          type:
            - string
            - 'null'
          description: Highest best ask price during the interval
        ask_low:
          type:
            - string
            - 'null'
          description: Lowest best ask price during the interval
        ask_open:
          type:
            - string
            - 'null'
          description: Best ask price at the start of the interval
        bid_close:
          type:
            - string
            - 'null'
          description: Best bid price at the end of the interval
        bid_high:
          type:
            - string
            - 'null'
          description: Highest best bid price during the interval
        bid_low:
          type:
            - string
            - 'null'
          description: Lowest best bid price during the interval
        bid_open:
          type:
            - string
            - 'null'
          description: Best bid price at the start of the interval
        mid_close:
          type:
            - string
            - 'null'
          description: Mid-price at the end of the interval
        mid_high:
          type:
            - string
            - 'null'
          description: Highest mid-price during the interval
        mid_low:
          type:
            - string
            - 'null'
          description: Lowest mid-price during the interval
        mid_open:
          type:
            - string
            - 'null'
          description: Mid-price ((bid + ask) / 2) at the start of the interval
        symbol:
          type: string
          description: Instrument symbol (e.g. "XAU-PERP")
        ts:
          type: string
          format: date-time
          description: Start timestamp of the candle interval (epoch seconds)
        width:
          $ref: '#/components/schemas/CandleWidth'
          description: Duration of the candle interval
    CandleWidth:
      type: string
      enum:
        - 1s
        - 5s
        - 1m
        - 5m
        - 15m
        - 1h
        - 1d
  securitySchemes:
    session_token:
      type: http
      scheme: bearer
      description: User session token

````